QUICK_EXIT(3) | Library Functions Manual | QUICK_EXIT(3)

# NAME

quick_exit — exits a program quickly, running minimal cleanup

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <stdlib.h>

_Noreturn void
quick_exit(void);

# DESCRIPTION

The quick_exit() function exits the program quickly calling any cleanup functions registered with at_quick_exit(3) but not any C++ destructors or cleanup code registered with atexit(3).

# RETURN VALUES

The quick_exit() function does not return.

# SEE ALSO

at_quick_exit(3), exit(3)

# STANDARDS

The quick_exit() function conforms to ISO/IEC 9899:2011 (“ISO C11”).

April 26, 2013 | NetBSD 7.2